# HighLighter

[![Using TypeScript](https://img.shields.io/badge/%3C/%3E-TypeScript-0072C4.svg)](https://www.typescriptlang.org/)
[![](https://npm.alibaba-inc.com/badge/v/@alife/intl-comp-highLighter.svg)](https://npm.alibaba-inc.com/package/@alife/intl-comp-highLighter)
[![](https://npm.alibaba-inc.com/badge/d/@alife/intl-comp-highLighter.svg)](https://npm.alibaba-inc.com/package/@alife/intl-comp-highLighter)


# Preview

![](https://g.alicdn.com/code/npm/@alife/intl-comp-highLighter/1.0.14/docs/preview.png)

# Demo

[Click to view demo](https://g.alicdn.com/code/npm/@alife/intl-comp-highLighter/1.0.14/stories/index.html)


# Usage

```tsx
import Components from '@alife/intl-comp-highLighter';
import React from 'react';
import ReactDOM from 'react-dom';

import '@alife/intl-comp-highLighter/dist/index.css';

const Component = Components;

const json = {
    uiType: '@alife/intl-comp-cms-one-step-banner',
    dataSource: [
      {
        href: 'http://taobao.com',
        image: 'https://img.alicdn.com/tfs/TB1jHkBmNv1gK0jSZFFXXb0sXXa-1440-343.png',
      },
      {
        image: 'https://img.alicdn.com/tfs/TB1Y_XacrY1gK0jSZTEXXXDQVXa-1416-813.png',
      },
    ],
    height: 300,
    autoHeight: false,
  };

  const jsx = `
import Component from '@alife/intl-comp-highLighter';
import React from 'react';
import ReactDOM from 'react-dom';

// import '@alife/intl-comp-highLighter/dist/index.css';

const json = {
  uiType: '@alife/intl-comp-cms-one-step-banner',
  dataSource: [
    {
      href: 'http://taobao.com',
      image: 'https://img.alicdn.com/tfs/TB1jHkBmNv1gK0jSZFFXXb0sXXa-1440-343.png',
    },
    {
      image: 'https://img.alicdn.com/tfs/TB1Y_XacrY1gK0jSZTEXXXDQVXa-1416-813.png',
    },
  ],
  height: 300,
  autoHeight: false,
};

ReactDOM.render(<Component lang="json">{JSON.stringify(json, null, 2)}</Component>, mountNode);
  `;

  ReactDOM.render(
    <div style={{ maxWidth: '100%', minWidth: 800 }}>
      <Component lang="jsx">{jsx}</Component>
      <Component lang="json">{JSON.stringify(json, null, 2)}</Component>
    </div>,
    mountNode,
  );
``` 

# Props

property | propType | default | description
:------: | :------: | :-----: | -----------
lang | string |  | language 
children | string |  | children string 




# Development

### install

```
yarn
```

### start project

```
yarn start
```

### build npm package

```
yarn babel
```

### build umd package

```
yarn build
```

